# eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.ProjectHelper

Module implementing the shelve extension project helper.

### Global Attributes

None

### Classes

ShelveProjectHelper | Class implementing the shelve extension project helper.

### Functions

None

## ShelveProjectHelper

Class implementing the shelve extension project helper.

### Derived from

HgExtensionProjectHelper

### Class Attributes

None

### Class Methods

None

### Methods

ShelveProjectHelper | Constructor
__hgCleanupShelves | Private slot to delete all shelves.
__hgDeleteShelves | Private slot to delete selected shelves.
__hgShelve | Private slot used to shelve all current changes.
__hgShelveBrowser | Private slot to show the shelve browser dialog.
__hgUnshelve | Private slot used to restore a shelved change.
__hgUnshelveAbort | Private slot used to abort an ongoing restore operation.
__hgUnshelveContinue | Private slot used to continue an ongoing restore operation.
__reopenProject | Private method to reopen the project if needed and wanted.
initActions | Public method to generate the action objects.
initMenu | Public method to generate the extension menu.
menuTitle | Public method to get the menu title.

### Static Methods

None

#### ShelveProjectHelper (Constructor)

ShelveProjectHelper()

Constructor

#### ShelveProjectHelper.__hgCleanupShelves

__hgCleanupShelves()

Private slot to delete all shelves.

#### ShelveProjectHelper.__hgDeleteShelves

__hgDeleteShelves()

Private slot to delete selected shelves.

#### ShelveProjectHelper.__hgShelve

__hgShelve()

Private slot used to shelve all current changes.

#### ShelveProjectHelper.__hgShelveBrowser

__hgShelveBrowser()

Private slot to show the shelve browser dialog.

#### ShelveProjectHelper.__hgUnshelve

__hgUnshelve()

Private slot used to restore a shelved change.

#### ShelveProjectHelper.__hgUnshelveAbort

__hgUnshelveAbort()

Private slot used to abort an ongoing restore operation.

#### ShelveProjectHelper.__hgUnshelveContinue

__hgUnshelveContinue()

Private slot used to continue an ongoing restore operation.

#### ShelveProjectHelper.__reopenProject

__reopenProject(shouldReopen, title)

Private method to reopen the project if needed and wanted.

shouldReopen
  flag indicating that the project should be reopened (boolean)
title
  title of the message box (string)

#### ShelveProjectHelper.initActions

initActions()

Public method to generate the action objects.

#### ShelveProjectHelper.initMenu

initMenu(mainMenu)

Public method to generate the extension menu.

mainMenu
  reference to the main menu (QMenu)

Return:
  populated menu (QMenu)

#### ShelveProjectHelper.menuTitle

menuTitle()

Public method to get the menu title.

Return:
  title of the menu (string)

Up